/* transaction.cpp computes the amount to be returned for a purchase.
 *
 * By: Joel C. Adams, Summer 2001.
 * For: C++ An Introduction to Computing 3/e.
 *
 * Input:  purchase, payment
 * Output: amount returned to customer (via printAsMoney())
 *****************************************************************/

#include <iostream>     // cin, cout, <<, >>,
#include <iomanip>      // fixed, showpoint, right, setprecision
using namespace std;

void printAsMoney(double dollars);        // function prototype

int main()
{
   double purchase,                       // amount of purchase
          payment;                        // amount paid

   cout << "Enter amount of purchase: ";
   cin >> purchase;
   cout << "Enter amount paid (>= purchase): ";
   cin >> payment;
   cout << "Amount to return is: ";
   printAsMoney(payment - purchase);
   cout << endl;

   return 0;
}


/* printAsMoney displays an amount in monetary format.
 *
 * Receive: dollars, the double value to be displayed
 * Output:  dollars in monetary format
 **************************************************************/

void printAsMoney(double dollars)
{
   cout << fixed << showpoint
        << right << setprecision(2)
        << '$' << dollars;
}
